{% extends 'base1.html' %}
{% load crispy_forms_tags %}
{% load static %}

{% block title %}Rent{% endblock title %}

{% block custom_css %}<link rel="Stylesheet" href="{% static 'css/myapp.css' %}">{% endblock custom_css %}

{% block content %}
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<!-- Latest compiled and minified CSS -->
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css" integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" crossorigin="anonymous">

<!-- Optional theme -->
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap-theme.min.css" integrity="sha384-6pzBo3FDv/PJ8r2KRkGHifhEocL+1X2rVCTTkUfGk7/0pbek5mMa1upzvWbrUbOZ" crossorigin="anonymous">

<!-- Latest compiled and minified JavaScript -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js" integrity="sha384-aJ21OjlMXNL5UyIl/XNwTMqvzeRMZH2w8c5cRVpzpU8Y5bApTppSuUkhZXN0VxHd" crossorigin="anonymous"></script>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

<div class="row" >
    <div class="col-sm-1">

    </div>
    <div class="col-sm-10" id = "isi" style = "margin-top: 5%;">
        <div class = "rect" style="padding: 20px; border: 2px solid #333; background-color: #64ABE3;">
            <h1 style="text-align: center;"> Fill the data to lend your motorcycle</h1>
        </div>
        <br>
        <div class="isiform">
            {% crispy form form.helper %}
        </div>

        <div class = "rect" style="padding: 20px; border: 2px solid #333; background-color: #64ABE3;">
                <h1 style="text-align: center;"> Here are Indonesia's Provinces for Reference</h1>
            </div>

        <div style="text-align: center; margin-top: 10%;">
            <input type="text" name="search" id = "search" placeholder="Search provinces as reference on where to lend your motorcycle" class="form-control"/>


        </div>

        <ul class="list-group" id ="result"></ul>
        
        <div class = "rect" style="margin-top: 10%; padding: 20px; border: 2px solid #333; background-color: #64ABE3;">
                <h1 style="text-align: center;"> Is our location searcher helpful?</h1>
            </div>
        
        <div style="text-align: center;">
                <button class="btn-success" id="yes" style="margin-top: 10%; text-align: center;" onclick="validation();">Yes</button>

                <button class="btn-danger" id="no" style="margin-top: 10%; text-align: center;" onclick="validation();">No</button>

        </div>
        
       
            
    </div>
    <div class="col-sm-1">

    </div>
</div>
<script>
    $(document).ready(function(){
        $('#search').keyup(function(){
            $('#result').html('');
            var searchField = $('#search').val();
            var expression = new RegExp(searchField, "i");
            $.getJSON("{% static 'json/data.json' %}", function(data){
                $.each(data, function(key, value){
                    if(value.nama.search(expression) != -1 || value.kode_wilayah.search(expression) != -1)
                    {
                        $('#result').append('<li class = "list-group-item"> '+value.nama+ ' | <span class= "text-muted"> '+ value.kode_wilayah+'</span></li>');

                    }
                });
            })
        });
    });

    $( "#yes" ).click(function() {
        swal(":D", "Thank You!", "success"  );
    });

    $( "#no" ).click(function() {
        swal( ":(", "Sorry for the inconvenience, but we are cooking something up for you!", "error" );
    });

</script>


{% endblock content %}
